Gets multiple orders.
curl --request GET \
--url https://api.example.com/api/v1/Orders \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Orders"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"accountNumber": "<string>",
"supplierName": "<string>",
"warehouseName": "<string>",
"warehouseCode": "<string>",
"wineDirectOrderNumber": "<string>",
"orderNumber": "<string>",
"orderTypeName": "<string>",
"orderTypeCode": "<string>",
"batchNumber": "<string>",
"orderedDate": "2023-11-07T05:31:56Z",
"requestedDate": "2023-11-07T05:31:56Z",
"shipmentCount": 123,
"returnCount": 123,
"holdCount": 123,
"firstShippedDate": "2023-11-07T05:31:56Z",
"lastShippedDate": "2023-11-07T05:31:56Z",
"statusCode": "<string>",
"statusName": "<string>",
"firstHoldName": "<string>",
"carrierName": "<string>",
"notificationEmail": "<string>",
"shipToFirstName": "<string>",
"shipToLastName": "<string>",
"shipToCity": "<string>",
"shipToStateCode": "<string>",
"shipToPostalCode": "<string>",
"shipToCompanyName": "<string>",
"packagingTypeCode": "<string>",
"packagingTypeName": "<string>"
}
]
}Gets multiple orders.
Use the GET /Orders/Detail endpoint for a full detailed order
GET
/
api
/
v1
/
Orders
Gets multiple orders.
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2Start date range. Defaults to 30 days
End date range. Defaults to today
Ordered Item Sku
Batch Number
Maximum string length:
120The Type of Order (code)
"CLUB" - Club Order
"STND" - Daily Order
"SPCL" - Special Order
"VC" - Visitor Center
"DAILY" - Daily Order
"SPECIAL" - Special Order
"CORP" - Corp Order
The code for the warehouse
"GLW" - Glenwillow,
"WDI" - Green Island,
"PSO" - Paso Robles,
"SMA" - Santa Maria,
"SHW" - Willamette Valley
"DAL" - Dallas
The status of the order (Code)
'DELIVERED' - "The package has been delivered to the intended recipient."
'EXCEPTION' - "The last recorded activity for the package is a delivery exception.
'IN_TRANSIT'- "The package is in transit within the carrier network."
'RETURNED' - "The package has been returned to the fulfillment center."
'SHIPPED' - "The package has been shipped from the fulfillment center, but is not yet tracking in the carrier network."
The name of the hold. You can get this name from the Order Search page in the Fulfillment Portal. https://fulfillment.winedirect.com/orders/search
Maximum string length:
120Search should include those orders with returns
Search should include those orders which are closed
Last Name
Maximum string length:
80City
Maximum string length:
80The (US Address) state code
Maximum string length:
10Post Code
Maximum string length:
15Was this page helpful?